-----------------------------------------------------------------------
Version 1.11.7
-----------------------------------------------------------------------

* Added year to all date fields

* Added missing packet processing

* Added code to handle some instances where the issue addressed in
  1.11.6 would still come through.

* Corrected spelling errors.

* Fixed issue where the call sign may be lost on Motorola version
  7.16 systems.

* Added better filtering of selection of channel to monitor when using
  a second scanner to monitor the system.

* Added support for raw PSR-500 Family control channel dump data to be
  decoded in the Decode from File section.

* Fixed issue where the patch list on the activity screen was not
  using alternate background colors to separate lines.

-----------------------------------------------------------------------
Version 1.11.6
-----------------------------------------------------------------------

* Corrected issues with Pro96Com not handling Motorola Base Stations
  ID messages that indicated the control channel as the ID channel.

-----------------------------------------------------------------------
Version 1.11.5
-----------------------------------------------------------------------

* Grant log will now include the Station ID even if the voice only
  option has been enabled.

* Corrected some system flavor detection issues that occured under
  certain cases.

* Corrected some decode issues with some packet types.

* Added work-around for some systems that are sending explicit voice
  channel grants and updates with invalid input channel numbers.

* Changed text for the System Identification grant from CWID to
  Station ID.

* Radio IDs will now be added to the radios file when an alert is sent.

-----------------------------------------------------------------------
Version 1.11.4
-----------------------------------------------------------------------

* Returned to original compiler due to issues with the new version of
  the compiler that prevented release 1.11.3.

* Fix to the data loss bug that would clear the radio, talkgroup and
  system data for a system under certain cases.

* Added site flavor indication to the System Activity screen.

* Added site flavor indication to the site information file.

* Added system flavor indication based on the last site decoded to the
  system.ini file.

* Fixed an issue where Pro96Com would not return to the quiet frequency
  when holding on a talkgroup.

* Fixed error message that appeared at the end of an import from the
  RadioReference.com database.

* Updated the Assumed/Confirmed column on the identifier table listing.
  This makes it a clearer indication of the source of the table where
  Assumed means there has been no identifier tables transmitted on the
  control channel, and confirmed means that the information was
  received from the control channel.

* Fixed an issue where the position of the screen was not being
  restored properly when the save option is enabled.

* Added a button to enable/disable the packet dump process to the
  packet dump screen.

-----------------------------------------------------------------------
Version 1.11.3
-----------------------------------------------------------------------

* Not Publicly released due to compiler issues.

-----------------------------------------------------------------------
Version 1.11.2
-----------------------------------------------------------------------

* Added support for both versions of Multi-Block OpCode 0x21 (Unit
  registration command)

-----------------------------------------------------------------------
Version 1.11.1
-----------------------------------------------------------------------

* Updated copyrights to include the year 2013

* Corrected the column headings on the affiliation log save process.

* Updated the tower information to handle RFSS and site ID values
  greater than 99.  Note that this change will cause the tower site
  files to be renamed from TowerRRSS.TXT to TowerRRRSSS.TXT when saved.
  The program will handle the conversion of the file names.

* Corrected an issue when calculating the input frequencies when
  explicit input channels are used.  This is most common on VHF
  systems.

-----------------------------------------------------------------------
Version 1.10.7
-----------------------------------------------------------------------

* Fixed memory leaks in the decode process when enabling and disabling
  the decode process.

* Added support for some previously unknown Op codes.

* Fixed the channel grant decode when using extended packets for the
  data channel grant.

-----------------------------------------------------------------------
Version 1.10.6
-----------------------------------------------------------------------

* Corrected typo in the TDMA Sync Broadcast logging.

* Corrected an issue with decoding data from the PSR-800 with the 
  Phase 2 Beta firmware installed.


-----------------------------------------------------------------------
Version 1.10.5
-----------------------------------------------------------------------

* Corrected an option on the -d command where placing only the -d
  command line switch will revert Pro96Com to using the program folder
  as the data path similar to version prior to 1.10.x.

  Example: Pro96Com -d

* Added -c command line parameter.  This parameter will allow the
  the selection of an alternate configuration file. By default, 
  Pro96Com will use the Pro96Com.ini file located in the data folder.
  If a full path is provided, the program will use that location 
  instead.

  Example: Pro96Com -c alt.ini

  Will use the alt.ini file from the default data folder for it's
  configuration settings.

  Example: Pro96Com -c c:\alt.ini

  Will use the alt.ini file located in the C:\ folder  

-----------------------------------------------------------------------
Version 1.10.4
-----------------------------------------------------------------------

* Disabled a debug option that would create the file ConfigDebug.log in
  the program folder.  This was used to debug the scanning of COM ports
  in the configuration screen.

* Added full support for storing the input frequency information on
  VHF systems.  Previously the data would be shown correctly on the
  screen and in the trace logs, but not be stored correctly in the 
  tower information files. This change will update the file version for
  tower information files to version 7.

* Updated some of the ACK and Deny messages in the decode trace logs.

-----------------------------------------------------------------------
Version 1.10.3
-----------------------------------------------------------------------

* Corrected an issue with importing from the RadioReference.com web
  service where imported sites would not be imported with the correct
  RFSS (zone) value.

* Corrected an issue with the RadioReference.com import when selecting
  the option to clear and reimport all tower sites where the existing
  sites were not being cleared before the import.

-----------------------------------------------------------------------
Version 1.10.2
-----------------------------------------------------------------------

* Fixed bug in decoding the -d command line parameter

-----------------------------------------------------------------------
Version 1.10.1
-----------------------------------------------------------------------

* Please note!  The default location for your data files has changed
  in this version!

  By default, Pro96Com will now store it's system data files in the 
  "My Documents\Pro96Com" folder.  This is due to Windows UAC 
  (User Account Control) issues on Windows Vista and Windows 7.

  You will need to move all of your SystemXXX folders from the program 
  files directory to the folder mentioned above to keep using the old 
  files.

  Note that this can be overridden using the -d command line parameter
  as follows:

  Pro96Com -d "C:\Program Files\Pro96Com"

  In this case, Pro96Com will look for the files in the C:\Program 
  Files\Pro96Com folder instead of the My Documents folder.

  This option also determines where Pro96Com looks for the 
  Pro96Com.ini file.

* Added decode support for the PSR-800 scanner.

  Note: To effectively decode a system on the PSR-800, you must enter
  the system with a talkgroup that will not become active, and have
  a single site.  

* Upgraded RadioReference.com web service to version 9.

* Various other minor bug fixes and adjustments.

* Fixed affiliation bug where affiliations would show as denied when
  the affiliation type was set to global.

-----------------------------------------------------------------------
Version 1.9.7
-----------------------------------------------------------------------

* Added support for explicit unit to unit voice grant messages.

* Added support for explicit unit to unit voice grant update messages.

-----------------------------------------------------------------------
Version 1.9.6
-----------------------------------------------------------------------

* Fixed a TX offset calculation for UHF/VHF systems.

* Updated the BCD396XT scanner profile with feedback from a user.

-----------------------------------------------------------------------
Version 1.9.5
-----------------------------------------------------------------------

* Added support for the Harris P25 Patch messages.

* Fixed issue where if a TDMA X2 identifier table was received before
  a standard identifier table, the standard table would be set with
  a slot value of 2, which is incorrect.

-----------------------------------------------------------------------
Version 1.9.4
-----------------------------------------------------------------------

* Added support for Anritsu data file decoding.  Currently only a 
  single file format is supported.

* Added support for Motorola OpCode 0x0A. I'm not positive what these
  opcodes are used for yet, but they may possibly be related to
  activation of the emergency button on the radio.

-----------------------------------------------------------------------
Version 1.9.3
-----------------------------------------------------------------------

* If you switch from one site to another on the same system (i.e. the
  SID does not change), Pro96Com will no longer reload the talkgroup
  and Radio ID data. The new site information will be loaded from 
  the computer's hard drive, but the Talkgroup and Radio ID data will
  be preserved.  Switching sites is much faster now.

* Added filtering for MA-COM/Harris packet type 0x33, which contains
  nothing more than the control channel identifier table and channel
  entry.

* Made modifications to the screen resizing processing to keep the
  group boxes and read radio data button on the screen at all times.

* Set minimum screen size to 550 x 550, since the value of the
  displayed data on anything smaller than that is extremely limited.

-----------------------------------------------------------------------
Version 1.9.2
-----------------------------------------------------------------------

* Corrected pointer with TDMA systems where it would point to all
  channels with the same frequency instead of the specific channel with
  the highest priority.

* Added Encryption Seen flag to the Talkgroups.txt file.  This flag
  will be set to "Y" if encryption has ever been seen on the talkgroup.

* Added hit counts to the talkgroups.txt file.  The hit counts will
  be incremented when the talkgroup is seen.

* Tower files updated to version 6.  Now support storing the frequency
  lists with the TDMA Slot numbers.  Identifier tables also include
  the number of slots in the table.

-----------------------------------------------------------------------
Version 1.9.1
-----------------------------------------------------------------------

* Updated RadioReference.com SOAP interface to version 7.

* Removed support from the ini file for changing the URL for the
  RadioReference.com WSDL file for the SOAP interface.  This 
  information is now hard coded into the program.

* Added support for the Motorola experimental TDMA systems that are 
  being tested in some area.  While these systems cannot be monitored
  currently, the control channel can be decoded.  As a part of this
  update, you will notice a /0 or /1 after the frequency on TDMA voice
  grants. These values signify the slot number on the frequency being
  used by that transmission.

* Added "S" column to the identifier table lists.  The number in this
  column signifies the number of time slots available in that table. 
  This value is used to calculate the frequency used in addition to 
  the base frequency and spacing.

-----------------------------------------------------------------------
Version 1.9.0
-----------------------------------------------------------------------

* Added support for the output from the Anritsu S412D monitor for
  decoding the control channel data stream.

* Added support for the April 2009 edition of the RadioReference.com
  CD-ROM.  Backward compatibility with the October 2008 edition as
  well.  Pro96Com will detect the version of CD-ROM automatically.

-----------------------------------------------------------------------
Version 1.8.9
-----------------------------------------------------------------------

* Adjusted the position of the extended system information boxes on 
  the right side of the screen to give a little more room on some 
  lower resolution screens.

* Added support for the new RadioReference.com soap2 interface.

* Added support for version 2 of the RadioReference.com web service. 
  This update adds support for the new administrative zone field in
  the database.

-----------------------------------------------------------------------
Version 1.8.8
-----------------------------------------------------------------------

* Added a rescan button on the Decode Configuration screen and on the
  Scanner Control configuration screen.  These buttons will rescan the
  available serial ports and update the listings on the pull down
  list next to the button.

* Added some INI file options (no settings in the GUI at this point)
  to restore the old serial port methods from the current method.  The
  current method will scan all possible serial ports and then list only
  those that are found during the scan.  To restore the old method
  where all ports are shown within a range, even if they do not exist
  on the machine, you may add the following keys to the Pro96Com.ini
  file in the [Communications] section:

  ShowAllPorts=Yes
  HighPort=64

  The ShowAllPorts key will enable the listing of all ports in a range
  from COM1 to the value in HighPort.  If HighPort is omitted, COM64
  will be the highest value shown.  Valid settings for HighPort are
  16 to 255.

* Fixed the timestamp when saving Unknown Packets to the log file.

* Fixed a timeout bug that was occuring on limited computers.  The
  allocated frequencies were not being properly released after the 
  timeout period.

* Repeater timeout period was adjusted to about 1.7 seconds after the
  last update message is recieved from the control channel.  This
  timeout period may be changed by editing the Pro96Com.ini file and 
  adding the following key to the [Global] Section of the file:

  TGTimeOut=##

  Where the ## is the number of tenths of a second (i.e. a value of
  17 is 1.7 seconds) to use for the time out period. The default value
  is 17.

-----------------------------------------------------------------------
Version 1.8.7
-----------------------------------------------------------------------

* Added support for OpCode 18 - Unit Status Update.  This opcode is
  used to indicate a unit's status.  The actual meaning of the status
  code is up to the system managers.  (i.e. a status of 1 on one system
  may mean the unit is available, where on another system it may mean
  that the unit is busy).  This message hasn't been seen on too many
  systems at this point.

* Added option to save and reload hit counts between restarts. Hit
  counts will always be saved to the tower information file.  This
  option controls whether these hit counts will be read back and set
  when the tower information file is read and parsed.

-----------------------------------------------------------------------
Version 1.8.6
-----------------------------------------------------------------------

* Added a decode indicator to the screen in the lower right corner.  
  This indicator will give you a quick visual indication of how well
  the control channel is being decoded.  This indicator is only visible
  when not using the Abbreviated System Informtion option.

* Added option to change the color of the decode indicator. This 
  setting is located on the Decode Configuration tab of the 
  Configuration editor.

* Possible fix to the voice scanner control logic not releasing the
  frequency when a transmission ends.

* Changed the process used to determine when a talkgroup should be 
  released from a frequency.  There's no message on the control
  channel to indicate when a particular talkgroup is done using a 
  frequency, so in Pro96Com it's a simple timeout loop to determine
  when to release the frequency.  This timeout loop is what has been
  redone.

* Added a hit counter for the frequencies on the activity screen.  
  These hit counts are reset to zero each time a decode is started.

-------------------------------------------------------------------------
Version 1.8.5
-------------------------------------------------------------------------

* Fixed a bug when using the Usage Code Descriptions button where the
  button would not be re-enabled once the Usage code Description screen
  was dismissed.

* Fixed an issue with the RadioReference.com web service import where
  the the same System ID was used on multiple systems, the import would
  not work.  The drawback to getting this to work correctly is that the
  decoding of the system stops while requests to the web service are
  being processed.

* Only valid com ports are shown in the Decode and Control configuration
  screens.  If the cable is not plugged in when setting the ports, you
  may need to plug in the cable, and then switch to another tab and back
  to the tab you were working with to rescan ports.

-------------------------------------------------------------------------
Version 1.8.4
-------------------------------------------------------------------------

* Fixed the sort on the Last Affiliation column on the affiliation 
  listing screen.

* Added code to detect the premature termination of the screen update
  thread, with the option to restart the thread if necessary.

* Fixed issues with the auto save of the various screen data, especially
  the affiliation log data.

-------------------------------------------------------------------------
Version 1.8.3
-------------------------------------------------------------------------

* Pro96Com no longer hogs all of the CPU cycles when running.  While it
  played nicely with other processes that needed CPU time, it would use
  as much CPU time it could get when running.  This version uses
  considerably less CPU time when running.

* When starting a decode, Pro96Com now properly detects when an error
  occurs opening the communications port.  If there is an error, you will
  be notified and the decoding processes will be stopped.

-------------------------------------------------------------------------
Version 1.8.2
-------------------------------------------------------------------------

* Fixed the issue some people were seeing with the buttons off the bottom
  of the various tabs.

* Fixed an issue with the backup in progress and the RadioReference
  import status update information not linked to the size of the screen
  as they should have been.

* Added support for the upcoming RadioReference.com database CD-ROM. This
  option will allow you to import information about a system without a
  connection to the Internet.  Note that the speed of the data import is
  dependent on your computer hardware and speed.  On large statewide 
  systems, this import may take a very long time from the CD-ROM.  
  Pro96Com has no control over the time it takes to do this import.

-------------------------------------------------------------------------
Version 1.8.1
-------------------------------------------------------------------------

* Added support for the new Uniden "X" series scanner control channel
  data output.  This feature should be considered to be a beta feature
  at this point since the radio has not been released yet, and I only 
  have the data provided by Paul Opitz to work with at this point.

* Changed the references to the PSR Dump screen to Raw Data Dump screen
  since this screen also supports the data provided by the new Uniden
  "X" series scanners.

* Separated the Affiliation Log and Affiliation listings onto separate 
  tabs.  This gives more room for the information in each list.

* Added a Last Affiliation column to the Affiliation list screen.  This
  will show you when each radio last affiliated with the tower site.

* Added a talkgroup description column to the affiliation log screen. 
  Previously only the talkgroup number was shown in this list.

* Added the ability to filter the affiliation log based on ranges of
  radio IDs.  When the filtering is enabled, only the radio IDs that are
  within the specified ranges will be logged to the affiliation log. All
  other radio ID affiliation information will be discarded. (All 
  affiliated radios will still be shown in the affiliation listing).
  Up to 40 ranges may be set.

  Note that only the information that is in the affiliation log screen
  will be saved to a file when the save button is clicked, or the auto
  save is enabled.

* Custom colors created while in the configuration editor, editing a
  talkgroup, or editing a radio ID are now saved when the OK button is
  pressed on those screens.  These custom colors are then re-loaded
  on the next run of Pro96Com.

-------------------------------------------------------------------------
Version 1.7.5
-------------------------------------------------------------------------

* Fixed a display issue when a talkgroup was being held for the voice
  scanner.  With this fix, the held talkgroup is now displayed
  correctly.

-------------------------------------------------------------------------
Version 1.7.4
-------------------------------------------------------------------------

* Fixed another timestamp display issue in various screens related to the
  auto save feature. This appears at this point to be a compiler bug, but
  I've found a way to work around it.

-------------------------------------------------------------------------
Version 1.7.3
-------------------------------------------------------------------------

* Fixed the timestamp display issue in various screens (I Hope).  Since
  I couldn't reproduce this here, I'm hoping that the code changes I 
  made will correct this issue.

-------------------------------------------------------------------------
Version 1.7.2
-------------------------------------------------------------------------

* General code clean-up throughout the program.

* This version of Pro96Com no longer supports previous versions of the
  pro96com.ini file.  This file has undergone many revisions since the
  release of version 1.0.0 of Pro96Com, and up until now has been as
  backward compatible with each of those version's ini file formats.

  The code that handles all of that backward compatibility has become
  quite ugly, so starting with this version, only the current format
  of the file is supported.  This should only cause a problem if you are
  upgrading from a very old version (I think the last real change to
  that format was around the 1.4.1 range).

* Added support for Patched Multi-Block Group Voice Grants. 

-------------------------------------------------------------------------
Version 1.7.1
-------------------------------------------------------------------------

* This version is primarily a conversion from an old version of my
  development environment to the latest version. In the new environment
  there are a number of new tools available that were not previously
  included.  This should open up some new doors for future enhancements.

* Added an option to the automated backup procedure to add the date to
  the folder name when performing a backup.  If a backup path is set
  the backup copies of the system folders will be placed in a sub-folder
  in the format YYYYMMDD.  If no backup path is specified, the backup
  information will be placed in a subfolder of the main system folder
  named backup-YYYMMDD.

* The Check for updates code is a conversion to a new HTTP library that
  is included in the development environment.  Please test this code, 
  especially if you connect using a Proxy server.

* The import from Radio Reference is all new code.  Pro96Com is now using
  the new Radio Reference Web service configuration. Please let me know
  if it does not work properly for you.

* I think I've finally fixed the issue with the program starting up 
  monitoring the control channel on a controlled radio.  Please let me
  know if you still see this happening.

-------------------------------------------------------------------------
Version 1.7.0
-------------------------------------------------------------------------

* Removed the help text related to the Pro-96/2096 so that more room is
  available on the right side of the screen for the system and site
  names.  It became apparent when doing RR imports that the space
  provided previously for these fields was not sufficient.

* Added RadioReference.com web service import.  You must configure the
  service on the configuration screen before the service can be used.
  The actual import option may be found under the System Menu. While the
  import is in progress, "* Import in Progress *" will be displayed next
  to the Data read button.

  Note:

  One beta tester has reported that there may be issues with the RR 
  import on the Windows Vista operating system.  I have been unable to 
  reproduce this issue in my testing.  Please be sure to have a backup
  of your data files before using this option for the first time.

* Added scheduled data backup option. If enabled, Pro96Com will check to
  see when the last time a backup occured at startup, and once every hour
  after that. If the number of days specified in the configuration screen
  have elapsed, a backup of all System### folders will occur.  The backup
  may be scheduled anywhere from once a day, to once a year.

  By default, backup data will be placed in a sub-folder of the System###
  folder called "Backup". You may also specify an alternate location to
  store this backup information in the configuration screen.

  While a backup is in progress, the text "* Backup in Progress *" will
  be displayed next to the data read button.  This text is in the same
  location as the Import in progress text, but will be hidden if a data
  import is occuring.

  Note: 

  The check time (how often Pro96Com checks for a scheduled backup) is
  also configurable, however there is no option present in the GUI.  
  By default it's set to every 60 minutes but can be changed by changing
  the value of the "CheckTime" key under the [Backup] section of the 
  Pro96Com.ini file.  The value of this key is in minutes.
  
--------------------------------------------------------------------------
Version 1.6.10
--------------------------------------------------------------------------

* Fixed an issue with the color priority selections in both the activity
  screen and the Grant log screens.  The Talkgroup and Radio ID settings
  were being reversed.

* Added the manufacturer code to the control channel dump and unknown
  packets screen.  These will be shown whenever there is an unknown
  packet, or when a non-standard packet is seen on the control channel.

--------------------------------------------------------------------------
Version 1.6.9
--------------------------------------------------------------------------

* Fixed a crash bug that showed up primarily when the Save Screen Sizes
  option was turned on, and Pro96Com was maximized.  There was also a
  reference to memory that had not yet been allocated in that same area
  that contributed to the crash.

* Made some memory configuration changes in the P25 class that should help
  a little with the speed of processing P25 control channel packets and
  help with memory management in that area.

--------------------------------------------------------------------------
Version 1.6.8
--------------------------------------------------------------------------

* Added high and low threshold settings to the program.  These allow you
  to control what you hear when controlling a second scanner for audio. 
  The scanner will only be tuned to a talkgroup if the priority of that
  talkgroup is between the high and low values inclusive.

* Added additional CRC checking to the incoming packet data to ensure
  that only valid data blocks are decoded.

* When holding on a talkgroup and using a second radio to decode the 
  voice transmissions, Pro96Com will now follow the conversation even
  when the talkgroup is patched to another talkgroup.

* Added check for updates option to the Help menu.

* The COM port pull-down boxes now go up to COM32 (Previously the upper
  limit was COM16).

* Support for multi-block control channel messages (aka Multi-Packets)
  is now included in Pro96Com. In order to decode these messages, a
  PSR-500 or PSR-600 scanner with CPU firmware version 1.4 or higher and
  DSP firmware Version 1.3 or higher is required. The Pro-96 and Pro-2096
  do not provide this data to the PC/IF port (and will likely never 
  provide this data), and will not support the Multi-Block messages.

--------------------------------------------------------------------------
Version 1.6.7
--------------------------------------------------------------------------

* The activity and Grant log windows now have controls in the 
  configuration screens that control the color preferences. These options
  operate as follows:

  Talkgroup Priority:
    If the talkgroup has a custom color set, that color will be used. If
    the talkgroup doesn't have a custom color set, then the radio ID (if
    available) custom color will be used.

  Radio ID Priority:
    If the Radio ID has a custom color set, that color will be used for
    on the display.  If a custom color has not been set for the Radio ID,
    the talkgroup custom color will be used.

  Split Color:
    The line will use the talkgroup custom color if set for the line.  If
    there is a custom color set for the Radio ID.  The Radio ID and Radio
    description columns will be set to that color.

* Added CRC check to all incomming packets.  Previously the software 
  relied on the radio to not pass invalid data packets.  Unfortunately 
  some recent data provided showed some packets getting through that were
  definately incorrect.

* Pro96Com supports the new PSR-500/PSR-600 option to turn on the CC Dump
  feature from software.  This new feature is available in CPU firmware
  version 1.3 and later.  This option helps ensure that Pro96Com can
  get the data from the radio without the user needing to do extra work
  at configuring the radio.

--------------------------------------------------------------------------
Version 1.6.6
--------------------------------------------------------------------------

* This version brings custom colors based on the radio ID to the program.
  When a custom color is set for a particular radio ID, it will take
  precedence over a custom color for a talkgroup.

--------------------------------------------------------------------------
Version 1.6.5
--------------------------------------------------------------------------

* This version fixes a problem with COM ports above COM9.  This verson 
  should work with all valid windows COM ports.

--------------------------------------------------------------------------
Version 1.6.4
--------------------------------------------------------------------------

* 1.6.3 had been compiled with the optimizations in, and thus the crash
  issue would return.  This version has those optimizations off.

--------------------------------------------------------------------------
Version 1.6.3
--------------------------------------------------------------------------

* Changed the way private data grants are marked for the frequency usage
  flag.  Previously a private data grant would mark the frequency with 
  both the p (private) and the d (Data) flags.  Now it will only mark
  the frequency with the d flag.

* Beta testing appears to confirm that the compiler's optimizations were
  the cause of the crashing problems in version 1.5.0. Those that have 
  reported in the beta group have not seen this crash on computers that
  previously had it occur on a regular basis.

--------------------------------------------------------------------------
Version 1.6.2
--------------------------------------------------------------------------

* Beta release to test a possible fix to the shut down issue.  It appears
  that the compiler itself and it's optimizations were the cause of the
  crashes we were seeing.

--------------------------------------------------------------------------
Version 1.6.1
--------------------------------------------------------------------------

* Fixed an issue with saving the scanner type used for decoding data.

--------------------------------------------------------------------------
Version 1.6.0
--------------------------------------------------------------------------

Note:   No progress has been made on the problem with 1.5.0 shutdown.

* Added support for the PSR-500 scanner for both decoding and as a 
  controlled scanner.  This version only supports P25 9600 bps systems at
  this time.  Support for the other system types will be added as time
  allows.

--------------------------------------------------------------------------
Version 1.5.0
--------------------------------------------------------------------------

NOTICE:  There is a known issue with this version of the software that
         will cause the program to shut down unexpectedly without notice
         or a reason being given.  The Beta team and I have tried to
         find the circumstances for this issue without any success. This
         issue has delayed the release of this version for well over a
         month.

         To the best of my knowledge, the only data lost due to this
         issue has been any new data that had been detected since the last
         data save.  While this has been the case, I cannot rule out the
         possibilty of data loss should this issue occur on your system.
         I strongly urge you to back up your Pro96Com data on a regular
         basis to help you should this happen.

         Should you have this issue occur to you and have any information
         that can be used to track down this issue, please don't hesitate
         to contact me with this information.

--------------------------------------------------------------------------

Resolved Bugs:

* Corrected some false indications of "Group Data" grants that should have
  been shown as Private Data Grants.

* Corrected a processing assumption on Multi-packet messages that always
  assumed the system ID would be present in all of these types of
  messages.  This caused false system ID readings on VHF P25 systems.
  Pro96Com will now only look for this information on select multi-packet
  types.

* Fixed a long standing bug that would show the the buffer available to be
  at 100% when in reality it was not.

* Moved the code to ensure that the screen will fit within the current
  screen resolution so that it will always execute.  Previously it would
  only happen if the option to save the window sizes was set.

* Fixed a shutdown bug when using the X in the upper right corner.  Using
  this method to shut down the program would cause an access error pop-up
  screen to appear.

New features:

* Added a command line option to start the data decode on startup.
  Adding -DECODE to the command line (i.e.  Pro96Com -DECODE) will start
  the program, and act like the Read Data button has been pressed.

* Modified the overall screen layout.  The program is now set to use
  a screen resolution of 1024x768 as a default screen size.  Previously
  the program was designed using an 800x600 form.  The system information
  pane has been moved to the right side of the screen, and a site
  information pane has been added.

* Call alerts are now logged on the channel grant screens.

* Added code to handle radio inhibit commands and regrouping commands
  properly.  Thanks to a radio system admin for providing samples of the
  data stream when these commands are sent to the radios.

* Changed the text on the read data button since the Pro-96 is not the
  only radio capable of providing the control channel data via the
  PC/IF port. (The Pro-2096 also has this capability)

* Added an option to hide the System Information, Site Information, and
  Decode information panes.  This will allow the tabbed windows to go to
  the edge of the screen, and fit better into 800x600 resolution screens.

* The Read data button has been moved to the right side of the screen in
  the redesign process.

* Added a decode menu where there are options to start or stop the reading
  of data from the radio.  These may be used instead of the read data
  button.

* Added an option to include an abreviated version of the grant log and
  a patch listing to the system activity tab.  These options may be turned
  on in the Edit->Screen Settings->Activity tab.

--------------------------------------------------------------------------
Version 1.4.4
--------------------------------------------------------------------------

* Added code to clean up the grant log when queued channel grants are
  pending.  The grant log screen will no longer show a talkgroup of
  -1 in these conditions.

* Added Icon created by Lou Maag to the program to remove the old 
  satellite dish icon.

* Added code to ensure that Pro96Com will always fit completely on the
  screen at startup.  Previously it was possible for the screen to start
  off the screen, or too big for the current screen size.

* Fixed the priority field in the talkgroup edit screen so that the
  priority level may be typed into the field (Previously the up/down
  arrows had to be used.

* When manually adding a talkgroup, the priority would default to 3.  This
  has now been fixed and will default to a value of 50.

* Fixed some small update bugs in the TSBK decoding routines.

--------------------------------------------------------------------------
Version 1.4.3
--------------------------------------------------------------------------

* Fixed a decode problem on Data grant status update messages that 
  would add input frequencies to the list of in-use frequencies on VHF
  systems.

--------------------------------------------------------------------------
Version 1.4.2
--------------------------------------------------------------------------

* Added code to attempt to work around some Pro-96 bugs with multi-packet
  transmissions on the control channel.  In some cases Pro96Com should now
  be able to pick up the SysID, WACN, and Site numbers (tower numbers) on
  these systems.

* Fixed a couple of bugs with handling explicit messages

* Added code to show the type of packets (with a bug fix) on multi-packet
  transmissions on the control channel.
  
--------------------------------------------------------------------------
Version 1.4.1
--------------------------------------------------------------------------

* Special build, not publicly released.

--------------------------------------------------------------------------
Version 1.4.0
--------------------------------------------------------------------------

* Scanner control has been made configurable.  Pro96Com will now search
  the program folder for files using a .Scanner extension for a list of
  command templates.  This will allow new scanners to be added to the
  control list easily in the future, without the need for hard coding them
  into the program itself.  Please see the documentation for a list of
  macros that the program will generate.  If other macros are needed,
  please let the author know.  Profiles for the Uniden BC250D/BC785D,
  BC296D/BC796D, and the BCD396T have been included in the archive.

* Changed the talkgroup priority system from a 7 level system to a 100
  level system.  This is similar to Trunker and other programs of this
  type.  Setting a priority of 0 for a talkgroup will place the talkgroup
  into an ignore mode.

* Added the ability to filter the output of the grant trace log.  If
  enabled, ignored talkgroups will automatically be filtered from the log.
  Optionally, you can set a talkgroup priority level to be filtered from
  the logs as well.  Setting this value to 50, for example, would filter
  any talkgroups with a priority higher than 50 (those with a priority
  level set to 50 would still be included).  There is also a checkbox on
  this screen to filter all entries that are not a group voice grant from
  the grant log screen.

  Note: The grant trace file created when the auto save option is enabled
  or the save button is pressed is derived from the screen content.  If
  filtering is enabled, the output of the grant log save file will also
  be filtered.

* Added an option to require confirmations when clicking on the "Stop
  Data Read" and clear buttons.  This option defaults to no confirmation.
  This option is located on the General Configuration tab in the
  Configuration Editor screen.

* Added quick access options to the Edit menu.  These options allow you
  to access the tabs on the configuration screen quickly without going
  through the general configuration tab first.

* Fixed a bug in the configuration editor where the latency value was not
  properly displayed when entering the editor.

* The "Use Talkgroup Colors" option on the affiliation screen now applies
  to both the affiliations list, and the affiliation log boxes.

* Increased the line limit in all screens other than the packet dump
  screen from 2,000 lines to 5,000 lines. The packet dump screen remains
  set at up to 10,000 lines.

* When deleting old lines from the scroll buffer, the various log screens
  will now delete based on the date and time stamp instead of which line
  is currently displayed at the top of that list.

--------------------------------------------------------------------------
Version 1.3.2
--------------------------------------------------------------------------

* Corrected a bug affecting the remember autosave setting on the patch
  log screen

* Added code for the other information screen regarding the meaning of the
  various system ACK messages.

* Added processing on the neighbor information screen to handle a new
  method of advertising neighbor sites that I hadn't seen before.  Some of
  the new systems coming online are advertising neighbor sites that are on
  a different System ID.  When this happens, Pro96Com was overwiting the
  neighbor sites constantly, since there are multiple site 101 entries
  coming into the program.  I missed the presence of the system id in the
  data packet, which caused this issue.  A new field is added to the
  neighbor information screen to show the system ID.  NOTE: If you are
  using the save screen sizes option, you may need to resize the columns
  in this screen.
  
--------------------------------------------------------------------------
Version 1.3.1
--------------------------------------------------------------------------

* WARNING:  There are numerous changes to the file formats used by
  Pro96Com.  Please be sure to make a backup of all of your data files
  before you run this update!

* The Encryption and emergency indicators have been moved to the Type
  column on the activity screen.  You may have to increase the size of
  this column to see these indicators.
  
* Talkgroups.txt file now contains last seen timestamp for talkgroups.

* The version numbering method has been changed from a build increment to
  a true version number increment.  Therefore this version is now version
  1.3.1.

* Added some code to attempt to quash the massive number of queued
  messages when a channel grant is queued. This is difficult to test so
  please let me know if it is not working properly.

* Changed the configuration editor layout to include a separate tab for
  each screen.  All screens may be turned off now with the exception of
  the activity screen.

* Added color to the activity screen.  This screen uses color codes 
  stored in the talkgroup record in the talkgroups.txt file. If no color 
  is set for the talkgroup, the default colors will be used. These colors 
  may also be used on the affiliation and grant log screens.

* Added OP code processing for new packet types (rarely seen)

* Fixed a bug that would sometimes add new talkgroups with the ignore
  priority setting.


--------------------------------------------------------------------------
Version 1.0.0 Build 28
--------------------------------------------------------------------------

* Channel numbers are now shown in a decimal format instead of Hex.  The
  format of these numbers are II-CCCC where II is the identifier table
  being referenced, and CCCC is the channel number within that table being
  used.  Channel numbers will also be stored to the tower files in this
  format starting with this version. (Pro96Com can handle the difference
  between the previous format and the new format, you do not need to do
  anything to update your data, however I suggest you back it up before
  you run the program).

* Included the updated COMM library in this build.  Build 27 actually had
  an older version of the library included with it that caused some issues
  for some people.

* Added Refresh button on the Grant log screen.  This button will update
  the talkgroup and radio descriptions after they have been edited.

* Updated the Refresh button on the affiliations screen to refresh both
  the current affiliations list and the affiliation log screens. Note that
  even though the radio descriptions have been changed, entries in the
  affiliation log will not be saved to a log file if they were already
  written on a previous save operation.

* The talkgroup and radio id field sizes have been increased in the edit
  screens.
  
--------------------------------------------------------------------------
Version 1.0.0 Build 27
--------------------------------------------------------------------------

* Fixed transmit offset sign detection.  Almost all VHF/UHF systems were
  showing the offset as negative, when in fact the offset would be
  positive.  700Mhz and above systems were not affected by this bug.

* Added detection of the site trunking flag.  Pro96Com will now show the
  tower status in the tower information window as either "Connected" or
  "Site Trunking".  It will also show the neighbor tower status for each
  neighbor tower as either "Connected" or "Failed"

* Added support for various previously unknown opcodes.  We still haven't
  completely figured out some of the meanings on a couple of these, but we
  will over time.

--------------------------------------------------------------------------
Version 1.0.0 Build 26
--------------------------------------------------------------------------

* Fixed sorting errors on radio IDs, Talkgroup IDs, and Frequencies.

* Changed format of various data files to allow commas and double quote
  characters in text tags.  This change incorporates placing all text
  fields in quotes as typical CSV files are supposed to be done.

* Talkgroup and Radio ID last seen dates are now updated properly.  This
  functionality was lost during a coding change quite some time ago.

* Fixed a timing issue where the WACN information was not being displayed
  on the screen.  The information was being successfully read from the
  control channel, but not displayed.   

--------------------------------------------------------------------------
Version 1.0.0 Build 25
--------------------------------------------------------------------------

* Streamlined the calculations required to update the identifier tables.

* Added popup menu for editing radio IDs and Talkgroup IDs to the grant
  trace log screen
  
* Added popup menu for editing radio IDs and Talkgroup IDs to the
  affiliation log screen

* Reorganized the affiliation log screen to put talkgroup first and show
  the description of the radio. Note: This changes the autosave format for
  the affiliation log.

--------------------------------------------------------------------------
Version 1.0.0 Build 24
--------------------------------------------------------------------------

* Fixed bug in decoding the identifier updates for 760 Mhz tables.  They
  were previously showing 30.3000 Mhz tx offset, which should have been
  30.0Mhz.

* Minor fixes to the comm library.

* Fixed a bug where new talkgroups being added manually would be given
  Ignore level priority by default.

--------------------------------------------------------------------------
Version 1.0.0 Build 23
--------------------------------------------------------------------------

* Fixed bug with the Bold settings on fonts.  These now work correctly.

* Pro96Com now remembers the setting of the filter unit registrations
  checkbox on the Other Events tab.  This setting will be remembered if
  the option to save screen positions is turned on, or if you edit the
  configuration while it's checked.
  
--------------------------------------------------------------------------
Version 1.0.0 Build 22
--------------------------------------------------------------------------

* Fixed a bug on the import of the old format radios.txt file to the
  new decimal format.
  
--------------------------------------------------------------------------
Version 1.0.0 Build 21
--------------------------------------------------------------------------

* The radio ID field in the radio id edit screen wouldn't allow a full ID
  in the decimal format.  This field now allows 8 characters.
  
--------------------------------------------------------------------------
Version 1.0.0 Build 20
--------------------------------------------------------------------------

* Made the previously hidden packet dump screen an option on the Logging
  configuration screen.  This screen is similar to Rick Parrish's Pro96dmp
  program. Note that enabling this screen will increase the load on the
  CPU and memory since there are a lot of packets being transmitted on the
  control channel.  I don't recommend running with this screen enabled all
  of the time. I've recieved some reports of this process causing Pro96Com
  to crash, which I believe is due to memory issues.

* Added support to be able to choose the font on each individual screen or
  as a global setting across all screens. The Packet Dump screen will use
  the same font settings as the unknown packets screen, since the two
  screens are basically identical layouts.

* Updated the COMM library to be more forgiving if a specified port does
  not exist or does not have a radio connected to it.

* Added an option to save all screen size and column position settings
  when you exit the program.  This information will be saved in the ini
  file.

* Neighbor towers are now saved in numerical order in the tower
  information file.

* After some playing with radio ID numbers, it became quite obvious to me
  based on the patterns on the MPSCS in Michigan that radio IDs on 9600
  baud P25 systems are done in a decimal format. As such, Pro96Com will
  now display and store radio IDs in a decimal format.  The radios.txt
  file will be automatically converted on the first run of the program on
  a previously monitored system.
  
--------------------------------------------------------------------------
Version 1.0.0 Build 19
--------------------------------------------------------------------------

* Moved the usage codes descriptions to a separate screen. These codes can
  be found by clicking on the View Usage Code Descriptions button on the
  system activity tab.

* Added totals count on the system activities tab.  Both the TalkGroup and
  Radio ID counts are shown.

* Reformatted the configuration screen to a tabbed style.  Added options
  to the various log sections to turn on the auto save option.

* Added the ability to datestamp saved log files.  With the option turned
  on, the date will be prepended to the file name when log information is
  saved to the log file.
  
* Changed some of the Uniden Control code since it wasn't working reliably
  with the BC250D radio.  For now if a 6.25Khz step size is given and the
  frequency is greater than 850Mhz, then a 12.5Khz step size will be
  substituted automatically.  I don't forsee 800Mhz to go to 6.25Khz steps
  anytime soon, so this should be a safe workaround for now.

* Pro96Com is now resizable and can be maximized.

* Added the ability to select a font and font size for all listviews in
  Pro96Com.  This information is stored in the INI file in the [Fonts]
  section.  Only the font name, size, and bold attribute are stored. There
  is only one setting for all windows at this time.

--------------------------------------------------------------------------
Version 1.0.0 Build 18
--------------------------------------------------------------------------

* Corrected a bug when reloading the private call priority setting on
  startup.  Private calls would come up as Ignore at program startup
  instead of the previous setting.

* Added an option for Pro96Com to put the Uniden scanner into scan mode
  when there are no active monitored talkgroups on the tower being
  monitored.  To enable this feature, check the option on the config
  screen.

  Note: According to those testing this function.  It does work however
        on systems that are busy, it causes a lot of extra "beeping and
        burping" on the Uniden scanner between transmissions.  In one
        case the Uniden scanner stopped working with a "Card Error".
        Turning off the scanner and reseating the card corrected the
        issue. 

* Pro96Com will now attempt to set the radio to the 866.00000 with
  a step size of 6.25Khz when you start to monitor the control channel.
  If this command fails, Pro96Com will automatically change the step
  size to 12.5Khz whenever 6.25Khz is specified. Apparently Uniden
  scannners before the BC296D/796D do not support a step size of
  6.25Khz. This process will allow Pro96Com to work with the 250D/785D.

* Added the reported bandwidth on the Identifier table.  You'll have to
  scroll right on that screen to see this value.  This value is also now
  saved with the table information in the tower data file.

* Added auto save options to all logging screens.  If these are enabled,
  the log on that screen will be automatically saved to disk every minute
  as if you had pressed the Save button.  Note that only new log entries
  are added to the log file.

* Screen updates to the system activity window no longer deselect a line
  or moves up to the top of the list.

* During the CWID, the call sign is transmitted on the control channel as
  well as in the CW on the voice channel.  This information is now shown
  by Pro96Com.
  
--------------------------------------------------------------------------
Version 1.0.0 Build 17
--------------------------------------------------------------------------

* Added the ability to hold a TalkGroup on the controlled Uniden scanner.
  There are two ways to hold on a particular TalkGroup.  Clicking on the
  Hold TalkGroup button on the system activity screen will bring up a
  dialog box with the TalkGroup number of the last TalkGroup that was
  selected to be monitored by the Uniden control option.  You can type in
  the TalkGroup number that you want to monitor (if it's not the same one)
  and then click to Hold button to monitor only that talkgroup.

  Note: When in hold mode, no other TalkGroups will be monitored on the
  Uniden scanner, regardless of priority levels of the other TalkGroups
  that are active on the system.

* Added support for OpCodes 14 & 16 (Appear to be data related)

* More information about the system is now stored in the tower information
  file including the System ID and System Name.

--------------------------------------------------------------------------
Version 1.0.0 Build 16
--------------------------------------------------------------------------

* Tower control channel capabilities information is now stored in the
  tower information file.  This is stored as an informational line near
  the top of the file.

* Frequencies are now saved in channel number order in the tower file.
  Previously they were stored in whatever order they were first seen by
  the program.

* On screens that can be sorted, the auto scroll option is now
  automatically disabled when the screens are sorted by anything other
  than the date/time stamp.  The auto scroll checkbox will still be
  checked if it was before, but it will not be active.

* Fixed a bug that would not correctly show or log the voice grant on the
  grant trace screen when a patch is present on the talkgroup. It really
  wasn't a bug since it's a proprietary extension to the standard added
  by Motorola, but the effect is the same.

* Added room to the bottom of the screen for those that are using Windows
  XP themes. Previously text was being cut off when these themes were
  used.
    
--------------------------------------------------------------------------
Version 1.0.0 Build 15
--------------------------------------------------------------------------

* Added tower information window on the Tower Information tab.  This
  screen basically rehashes the information at the top of the screen, but
  adds a capability area.  This will be able to display what the tower is
  capable of (Registration, Voice, Data, etc)

--------------------------------------------------------------------------
Version 1.0.0 Build 14
--------------------------------------------------------------------------

* Fixed a bug that would cause Pro96Com to crash when attempting to edit
  a talkgroup from the activity screen that was operating in encrypted
  mode.

* The system activity screen may now be sorted by any column.  Some of
  these sort orders can be pretty confusing as the will change as the
  activity of the system changes the screen.
  
* The Affiliation log can now be sorted by any column.  If you use
  anything other than the Time column for your sort, I suggest that you
  turn off the Auto Scroll option on that screen.  Note that when saving
  the information in this screen, the information will be saved in the
  current sort order to the file.

* The Grant trace log can now be sorted by clicking on the column header.
  Again it is suggested that if you sort by anything other than the time
  column, that you disable the auto scroll option.
  
--------------------------------------------------------------------------
Version 1.0.0 Build 13
--------------------------------------------------------------------------

* Telephone grant updates (OpCode=09) are no longer listed as unknown
  packets.

* Fixed problem on the Grant Trace screen when logging data and telephone
  events that prevented the save button from working correctly if these
  events existed in the log screen.

* Changed the type descriptions on the frequency and grant log screens.
  These are now globally defined and can be easily changed if need be in
  the future.

* The tower affiliations screen may now be sorted by either the Talkgroup
  or the Radio ID by clicking on the column headers. Other screens may
  see this ability in future versions. (This one is the easiest one to
  do since the data is readily available)
  
--------------------------------------------------------------------------
Version 1.0.0 Build 12
--------------------------------------------------------------------------

* Found an old MPSCS (Michigan Public Safety Communications System)
  document that specifically mentions that the system is configured to use
  up to 48000 talkgroups.  Pro96Com has now been configured to handle up
  to 65000 talkgroups.

* Clicking the Read data button will now clear the display of information.
  This means that if you collect data from a tower, stop the decoding and
  then go back to decoding the same tower, Pro96Com will treat it like
  it's connecting to the tower for the first time, clearing all
  information from the screen and reloading any data about the tower from
  disk if it exists.  If you stop the decoding and want to start again, be
  sure to save your data first!

* Added option to automatically save data every x minutes.  The range can
  be anywhere between every minute, and every 60 minutes. The default
  setting is 10 minutes. Note that if you stop the decoding of the control
  channel, the autosave option is also stopped.

--------------------------------------------------------------------------
Version 1.0.0 Build 11
--------------------------------------------------------------------------

* Reformatted the lower part of the screen to help let people know how to
  get started monitoring the system.

* First stab at documentation for the program. I've noticed the screen 
  grabs are a bit unclear in the pdf file, so I'll work on that for future
  updates.
  
--------------------------------------------------------------------------
Version 1.0.0 Build 10
--------------------------------------------------------------------------

* With thanks to Jose E. Torrez providing information from the VHF system 
  in Alaska, I now have the correct formula for figuring the input offset
  for each table in a VHF/UHF system.
  
--------------------------------------------------------------------------
Version 1.0.0 Build 9
--------------------------------------------------------------------------

* Added ability to control Uniden digital scanners.  This requires a 
  minimum of two serial ports on the computer that is running the program.
  7 levels of talkgroup priority are available. Pro96Com will 
  automatically switch to a higher priority conversation when one is 
  detected.

  The levels are as follows:

  0: Ignore       - The talkgroup will be ignored, even if there are no 
                    other active conversations.
  1: Low          - Hey, some people like to listen to the DOC, DPW and 
                    Water departments.
  2: Medium Low   - Probably the Dog Catchers would be here...
  3: Normal       - Normal level for all new groups.  These would be 
                    standard level talkgroups that you like to listen to, 
                    but would like to have overridden when something 
                    bigger comes up.
  4: Medium High  - Talkgroups that are more important that most, but not 
                    so important that it can't be overridden by something 
                    even more important.
  5: High         - Very important talkgroups go here.
  6: Extreme High - This level should be used for those talkgroups that 
                    you *REALLY* want to hear, regardless of what else is
                    going on. If more than one of these talkgroups appear 
                    at the same time, you'll only hear the first one until
                    it has released.


* Changed format of the talkgroups.txt file to include the priority 
  settings for each talkgroup.  To detect the format change, a FileVersion
  line has been added to the top of the file.  Pro96Com will automatically
  adjust for the correct file version.  During the conversion, all 
  talkgroups will be imported at a Normal priority level.
  
* Moved the patch screen to it's own tab to make more room on the system
  activity screen.  This was necessary to fit the priority and active 
  fields on the main screen. The Patches tab will show the number of 
  active patches at all times so that you know when patches are active.

* Added talkgroup descriptions to the patch screen. Previously this screen
  was quite small and had no room for anything other than the talkgroup 
  numbers.

* Added Patch log screen.  This will log when patches have been added and 
  removed from the tower.  This is useful for those occasions where you 
  have had Pro96Com monitoring the system while you were away.

* Talkgroup descriptions may now be up to 24 characters in length 
  (Previously limited to 12 characters).

* Added save option on the Other Events tab.  Information is saved to the 
  file Events-###.csv where ### is replaced by the tower number in Decimal
  format.

* Fixed a bug that can on occasion cause the program to crash when just 
  starting to monitor a control channel.  This was primarily true on a 
  tower the first time it was monitored. Once the and spacing information
  was retrieved from the control channel, this bug would not occur.  It 
  was purely a matter of timing.

--------------------------------------------------------------------------
Version 1.0.0 Build 8
--------------------------------------------------------------------------

* Added option to export to CSV format the grant log screen information.  
  Also added a clear button on that screen.

* Added support for Base/Offset calculations based on control channel 
  broadcasts of this information.

* Added support for Telephone and Data Transmissions. These functions are
  untested since they have not been used thus far on the MPSCS.

* Added buffer available indicator on the main screen. On my machine this
  usually runs in the 98-100% available range.  Because of this I reduced
  the number of buffers available considerably, which means the program 
  uses less memory.

* Added "Other Events" tab.  This tab will have a log of events that occur
  on the control channel that do not have a direct bearing on channel 
  grants and affiliations.  These items are presented for information 
  only. Most of what you will see in this screen are radio registrations 
  with the system so an option to filter these has also been added.
  
--------------------------------------------------------------------------
Version 1.0.0 Build 7
--------------------------------------------------------------------------

* Added configuration screen so that manual editing of the INI file is no
  longer necessary. This screen is located in the Edit menu.

* Added latency setting for the thread that does the reading of data from 
  the radio.  Adding latency adds time between each enquiry sent by the 
  program to the Pro-96.  Setting latency too high will mean that not 
  enough requests are being sent to the radio to get an accurate picture 
  of what's happening, however CPU usage will be minimal.  Setting the 
  latency to 0 will remove all delays from the read thread, which means 
  that with a good signal, there should be very few missed packets.  
  However this setting will also use every bit of CPU time available and 
  slow down all other programs that are running.  The default setting for 
  this option is 10ms, which seems to get a good read rate with about a 
  50% CPU usage on my machine.  Your results may vary.

* Added about screen.

* The Grant log will now show when sessions are encrypted or operating 
  with the emergency button pressed.

* Changed the method used to update the affliation status display.  With 
  the method being used now, the scroll bar is not reset every time the 
  list is updated as it was before.
  
--------------------------------------------------------------------------
Version 1.0.0 Build 6
--------------------------------------------------------------------------

* Changed file name for the Unknown Packet log to UnknownPackets###.txt 
  where ### is raplaced by the current tower number in decimal format.

* Added ability to save the affiliation log to a CSV file.  This file can 
  be easily imported into Excel or a database program.  This can help you
  figure out what radios are in a group by sorting by radio ID for example.
  This file will be placed in the system folder under the name 
  Affiliations###.csv where ### is replaced by the current tower number 
  in decimal format.

* Added an option to filter out denials in the affiliations log.  This 
  option will eventually appear on the configuration screen as an option 
  that can be saved to the INI file.  For the moment it defaults to not 
  showing denied affiliation requests.

* Pro96Com now understands the codes for CWID transmission and will add a 
  "i" to the usage column when it sees this code on the control channel.  
  These will also appear on the Grant log when that option is enabled.

* The patch screen now works correctly.  I've only seen one patch since I
  made the change to the code, but it seemed to be working correctly on 
  that one. Please let me know if it doesn't appear to work correctly.

* Added a decode percentage indicator on the main screen.  The percentage 
  is a calculation based on the number of sucessfully decoded packets 
  divided by the total number of packets requested from the Pro-96.  If no
  data is available, the Pro-96 will output a packet of all zeros.

--------------------------------------------------------------------------
Version 1.0.0 Build 5
--------------------------------------------------------------------------

* Added option to right click on various screens to enable editing of
  talkgroup and Radio IDs.  Right clicking will bring up a pop-up menu 
  with these options.

* Added the ability to see a trace of channel grants that have occured.
  This can't be saved to disk at the moment but may be added in the 
  future.  To enable this screen, edit the pro96com.ini file, create a 
  [Special] section, and set the LogGrants key to Yes (Case sensitive for 
  the moment)

* Added the ability for pro96com to log unknown packets.  Most people will
  have no use for this option but it'll help me to figure out the packets
  I don't know yet.  This option also uses a ini file key in the [Special]
  section.  To enable this screen, set the LogUnknown to Yes. (Again case
  sensitive)

* Both of the options above are enabled in the included ini file.

* I've removed the option to read the dump files at this time.  It was
  causing some race and deadlock issues. I may add it back again at a 
  later date if I can.
--------------------------------------------------------------------------

  



